nslcd(8)

NAME
nslcd - local LDAP name service daemon

SYNOPSIS
nslcd
[options]

DESCRIPTION
nslcd is a daemon that will do LDAP queries for local processes that want to do user, group and other naming lookups (NSS) or do user authentication, authorisation or password modification (PAM).

nslcd is configured through a configuration file (see nslcd.conf(5)).

See the included README for information on configuring the LDAP server.

OPTIONS
nslcd accepts the following options:

\FC-c\F[], \FC--check\F[]
    Check if the daemon is running. This causes nslcd to return 0 if the daemon is already running and 1 if it is not.

\FC-d\F[], \FC--debug\F[]
    Enable debugging mode. nslcd will not put itself in the background and sends verbose debugging info to stderr. nslcd will handle connections as usual. This option is for debugging purposes only. Specify this option multiple times to also include more detailed logging from the LDAP library.

\FC-n\F[], \FC--nofork\F[]
    Do not fork or daemonise and run nslcd in the foreground.

\FC--help\F[]
    Display short help and exit.

\FC-V\F[], \FC--version\F[]
    Output version information and exit.

SIGNALS

\FCSIGTERM\F[]/\FCSIGINT\F[]
    Cancel any running queries and exit.

\FCSIGUSR1\F[]
    Cause nslcd to retry any failing connections to the LDAP server, regardless of the \FCreconnect_sleeptime\F[] and \FCreconnect_retrytime\F[] options.

FILES
\FC/etc/nslcd.conf\F[] - the configuration file (see nslcd.conf(5))

SEE ALSO
nslcd.conf(5)

AUTHOR
This manual was written by Arthur de Jong <arthur@arthurdejong.org>.